Teams

Generated on 18 Mar 2026

Base URL https://api.paperspace.com/v1

GET List a team's secrets

/teams/{id}/secrets
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Fetches a list of secrets for a team.

Path Parameters

id string required

The ID of the team where the secret is stored.

Query Parameters

after string optional

Fetch the next page of results after this cursor.

limit integer 1 – 120 optional

The number of items to fetch after this page.

orderBy string, one of: dtCreated optional

Order results by one of these fields.

Default: dtCreated
order string, one of: asc, desc optional

The order to sort the results by.

Default: desc
curl -X GET \
  -H "Authorization: Bearer $API_TOKEN" \
  "https://api.paperspace.com/v1/teams/{id}/secrets"

Responses

200

Successful response

hasMore boolean required

Whether there are more pages of results available.

items array of object required

The items on this page.

Show child properties
dtCreated string (date-time) required

The date the secret was created.

dtModified string (date-time) required

The date the secret was last modified.

hasDeploymentAttached boolean required
name string required

The name of the secret, e.g. "DB_PASSWORD".

nextPage string optional

The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.

default

Error response

code string required
details object optional
message string required
{
  "hasMore": true,
  "items": [
    {
      "dtCreated": "2019-08-24T14:15:22Z",
      "dtModified": "2019-08-24T14:15:22Z",
      "hasDeploymentAttached": true,
      "name": "string"
    }
  ],
  "nextPage": "string"
}
{
  "code": "string",
  "message": "string"
}

POST Create a team secret

/teams/{id}/secrets
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Creates a new secret for a team.

Path Parameters

id string required

The ID of the team where the secret is stored.

Request Body: application/json

name string required

The name of the secret, e.g. "DB_PASSWORD".

value string required

The value of the secret, e.g. "password".

Content type application/json
{
  "name": "string",
  "value": "string"
}
curl -X POST \
  -H "Authorization: Bearer $API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "value": "string"
}' \
  "https://api.paperspace.com/v1/teams/{id}/secrets"

Responses

200

Successful response

dtCreated string (date-time) required

The date the secret was created.

dtModified string (date-time) required

The date the secret was last modified.

name string required

The name of the secret, e.g. "DB_PASSWORD".

default

Error response

code string required
details object optional
message string required
{
  "dtCreated": "2019-08-24T14:15:22Z",
  "dtModified": "2019-08-24T14:15:22Z",
  "name": "string"
}
{
  "code": "string",
  "message": "string"
}

GET Get a team secret

/teams/{id}/secrets/{name}
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Fetches a secret for a team.

Path Parameters

id string required

The ID of the team where the secret is stored.

name string required

The name of the secret, e.g. "DB_PASSWORD".

curl -X GET \
  -H "Authorization: Bearer $API_TOKEN" \
  "https://api.paperspace.com/v1/teams/{id}/secrets/{name}"

Responses

200

Successful response

dtCreated string (date-time) required

The date the secret was created.

dtModified string (date-time) required

The date the secret was last modified.

hasDeploymentAttached boolean required
name string required

The name of the secret, e.g. "DB_PASSWORD".

default

Error response

code string required
details object optional
message string required
{
  "dtCreated": "2019-08-24T14:15:22Z",
  "dtModified": "2019-08-24T14:15:22Z",
  "hasDeploymentAttached": true,
  "name": "string"
}
{
  "code": "string",
  "message": "string"
}

PATCH Update a team secret

/teams/{id}/secrets/{name}
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Update the value of a secret for a team.

Path Parameters

id string required

The ID of the team where the secret is stored.

name string required

The name of the secret, e.g. "DB_PASSWORD".

Request Body: application/json

value string required

The value of the secret, e.g. "password".

Content type application/json
{
  "value": "string"
}
curl -X PATCH \
  -H "Authorization: Bearer $API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "value": "string"
}' \
  "https://api.paperspace.com/v1/teams/{id}/secrets/{name}"

Responses

200

Successful response

dtCreated string (date-time) required

The date the secret was created.

dtModified string (date-time) required

The date the secret was last modified.

name string required

The name of the secret, e.g. "DB_PASSWORD".

default

Error response

code string required
details object optional
message string required
{
  "dtCreated": "2019-08-24T14:15:22Z",
  "dtModified": "2019-08-24T14:15:22Z",
  "name": "string"
}
{
  "code": "string",
  "message": "string"
}

DELETE Delete a team secret

/teams/{id}/secrets/{name}
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Deletes a secret for a team.

Path Parameters

id string required

The ID of the team where the secret is stored.

name string required

The name of the secret, e.g. "DB_PASSWORD".

curl -X DELETE \
  -H "Authorization: Bearer $API_TOKEN" \
  "https://api.paperspace.com/v1/teams/{id}/secrets/{name}"

Responses

200

Successful response

name string required

The name of the secret, e.g. "DB_PASSWORD".

default

Error response

code string required
details object optional
message string required
{
  "name": "string"
}
{
  "code": "string",
  "message": "string"
}

GET List team members

/teams/{teamId}/users
Authorizations: BearerAuth
Http: Bearer

An API key or access token

List team members

Path Parameters

teamId string required

The team's ID

Query Parameters

after string optional

Fetch the next page of results after this cursor.

limit integer 1 – 120 optional

The number of items to fetch after this page.

orderBy string, one of: dtConfirmed optional

Order results by one of these fields.

Default: dtConfirmed
order string, one of: asc, desc optional

The order to sort the results by.

Default: desc
role string, one of: member, admin, owner optional

Filter team members by their role on the team.

curl -X GET \
  -H "Authorization: Bearer $API_TOKEN" \
  "https://api.paperspace.com/v1/teams/{teamId}/users"

Responses

200

Successful response

hasMore boolean required

Whether there are more pages of results available.

items array of object required

The items on this page.

Show child properties
dtConfirmed string (date-time) optional Nullable

The date the user confirmed their membership

isAdmin boolean required

Whether the user is an admin of the team

isOwner boolean required

Whether the user is the owner of the team

user object required
Show child properties
email string required

The email address of the user

firstName string optional Nullable

The first name of the user

id string required

The ID of the user

lastActive string (date-time) optional Nullable

The date the user was last active.

lastName string optional Nullable

The last name of the user

publicProfileImageUrl string optional Nullable

The URL of the team's profile image.

nextPage string optional

The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.

default

Error response

code string required
details object optional
message string required
{
  "hasMore": true,
  "items": [
    {
      "dtConfirmed": "2019-08-24T14:15:22Z",
      "isAdmin": true,
      "isOwner": true
    }
  ],
  "nextPage": "string"
}
{
  "code": "string",
  "message": "string"
}

PUT Update a team membership

/teams/{teamId}/users/{userId}
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Update a team membership

Path Parameters

teamId string required

The team's ID

userId string required

The user's ID

Request Body: application/json

isAdmin boolean required

Whether the user will gain admin access or not

Content type application/json
{
  "isAdmin": true
}
curl -X PUT \
  -H "Authorization: Bearer $API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "isAdmin": true
}' \
  "https://api.paperspace.com/v1/teams/{teamId}/users/{userId}"

Responses

200

Successful response

dtConfirmed string (date-time) optional Nullable

The date the user confirmed their membership

dtDeleted string (date-time) optional Nullable

The date the user was removed from the team

isAdmin boolean required

Whether the user is an admin of the team

isOwner boolean required

Whether the user is the owner of the team

default

Error response

code string required
details object optional
message string required
{
  "dtConfirmed": "2019-08-24T14:15:22Z",
  "dtDeleted": "2019-08-24T14:15:22Z",
  "isAdmin": true,
  "isOwner": true
}
{
  "code": "string",
  "message": "string"
}

DELETE Remove a user from a team

/teams/{teamId}/users/{userId}
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Remove a user from a team

Path Parameters

teamId string required

The team's ID

userId string required

The user's ID

curl -X DELETE \
  -H "Authorization: Bearer $API_TOKEN" \
  "https://api.paperspace.com/v1/teams/{teamId}/users/{userId}"

Responses

200

Successful response

dtConfirmed string (date-time) optional Nullable

The date the user confirmed their membership

dtDeleted string (date-time) optional Nullable

The date the user was removed from the team

isAdmin boolean required

Whether the user is an admin of the team

isOwner boolean required

Whether the user is the owner of the team

default

Error response

code string required
details object optional
message string required
{
  "dtConfirmed": "2019-08-24T14:15:22Z",
  "dtDeleted": "2019-08-24T14:15:22Z",
  "isAdmin": true,
  "isOwner": true
}
{
  "code": "string",
  "message": "string"
}

We can't find any results for your search.

Try using different keywords or simplifying your search terms.